Subject: bug#26445: 26.0.50; Scroll margin and cursor movement working incorrectly when scrolling over different height lines

From: Alexander Miller <[email-masked]>
Date: Fri, 14 Apr 2017 12:56:30 +0200

On 14/04/17 09:06, Eli Zaretskii wrote:
> That depends on what font you have installed that's used to display
> those characters.  It is best to have fonts of approximately the same
> height.
How would I go about finding out which fonts have which height and how 
to make
emacs use them? Looking up font size and height just turns up a bunch of 
pages
about css. For emacs I found I could do something like
(set-fontset-font "fontset-default" nil (font-spec :size 1 :name "Symbola"))
but that doesn't seem to do anything.
> There's no need to get rid of margins, as I think the problem you
> describe is purely aesthetic, and quite expected when you have lines
> of different height.  Why does it bother you so much?
I just don't like the inconsistency. The scroll stutter happens when I'm 
quickly
scrolling through a buffer and suddenly see my cursor change position for
seemingly no reason. To me it just plain looks like something that is 
not supposed
to happen. I certainly wouldn't have bothered with the bug report if 
there was a
clear and visibly text height difference, but the issue already appears 
when the height
difference cannot be seen with the naked eye.

> Btw, , , and  are private-use area (PUA) characters, so I'm not
> sure what you expected from Emacs to do with them.
I've picked those up from Font Awesome, which brings us back to my 
previous question.
Is it possible to tell emacs that Font Awesome Icons should have the 
same size as
my default text font, and if yes how do I do it?